=== debian/changelog ===
cpu-x (4.0.0+git20200524-1~mx19+2) mx; urgency=medium

  * control: updated libcpuid to 15-dev
  * Rebuild against libcpuid15_0.5.0-1~mx19+1 to identify newer CPUs
  * Built with sbuild for now as pbuilder was failing with i386 builds

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Wed, 03 Jun 2020 15:07:01 -0400

cpu-x (4.0.0+git20200524-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Tue, 26 May 2020 11:36:01 -0400
