=== debian/control ===
Source: cpu-x
Section: utilities
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Xorg <xorg@no-mail.com>
Build-Depends: debhelper (>= 4.1.16),
               cmake,
               gcc,
               pkg-config,
               nasm,
               gettext,
               libgtk-3-dev,
               libncursesw5-dev | libncursesw6-dev,
               libncurses-dev,
               libcurl4-openssl-dev,
               libjson-c-dev,
               libstatgrab-dev,
               libcpuid15-dev,
               libpci-dev,
               libprocps-dev,
               procps
Standards-Version: 4.3.0
Homepage: https://github.com/X0rg/CPU-X

Package: cpu-x
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         procps,
Description: Tool that gathers information on CPU, motherboard and more
 CPU-X is similar to CPU-Z (for MS Windows). It can be used in graphical
 mode by using GTK or in text-based mode by using NCurses. A dump mode is
 present from the command line.
