## cpu-x 4.0.0+git20200605

=== CMakeLists.txt ===
--- 
+++ 
@@ -98,6 +98,22 @@
 
 ### HELPERS / SUBDIRECTORIES
 
+set(GIT_REVISION "")
+if(EXISTS ${CMAKE_SOURCE_DIR}/.git)
+	find_package(Git)
+	if(GIT_FOUND)
+		execute_process(COMMAND sh -c "${GIT_EXECUTABLE} describe --long --tags --exclude continuous --abbrev=40 --dirty | cut --delimiter=- --fields=2-"
+			RESULT_VARIABLE GIT_DESCRIBE_RESULT
+			OUTPUT_VARIABLE GIT_DESCRIBE_REVISION
+			ERROR_QUIET
+			OUTPUT_STRIP_TRAILING_WHITESPACE
+		)
+		if(${GIT_DESCRIBE_RESULT} EQUAL 0)
+			set(GIT_REVISION "+git-r${GIT_DESCRIBE_REVISION}")
+		endif(${GIT_DESCRIBE_RESULT} EQUAL 0)
+	endif(GIT_FOUND)
+endif(EXISTS ${CMAKE_SOURCE_DIR}/.git)
+
 enable_testing()
 find_package(PkgConfig REQUIRED)
 find_package(Threads REQUIRED)
