=== debian/changelog ===
cpu-x (4.0.0+git20200605-1~mx19+1) mx; urgency=medium

  * Repackage to include latest upstream bug fix commits.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Fri, 05 Jun 2020 16:21:08 -0400
