=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Xorg <xorg@no-mail.com>
-Build-Depends: debhelper (>= 4.1.16),
+Build-Depends: debhelper (>= 9),
                cmake,
                gcc,
                pkg-config,
