=== src/CMakeLists.txt ===
--- 
+++ 
@@ -164,6 +164,7 @@
 
 # Various definitions
 add_definitions(-DPRGVER="${PROJECT_VERSION}"
+	-DGITREV="${GIT_REVISION}"
 	-DSYSTEM_NAME="${CMAKE_SYSTEM_NAME}"
 	-DSYSTEM_PROCESSOR="${CMAKE_SYSTEM_PROCESSOR}"
 	-DC_COMPILER_ID="${CMAKE_C_COMPILER_ID}"
