=== debian/changelog ===
cpu-x (4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2001_build-with-PIE.patch. Upstream disables -PIE builds, in Debian
      we don't want that.
  * debian/rules:
    + Newline at EOF.
  * debian/control:
    + [ Make B-D on libcpuid versioned (>= 0.4.0). ]
    + Enforce building against libcpuid 0.5.0 (to avoid
      re-upload after libcpuid 0.5.0 has landed in Debian).
    + Add B-D gawk (for unit tests).
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * man pages:
    + Drop cpu-x_polkit.1 man page. Obsolete.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Jul 2020 00:05:43 +0200
