## cpu-x 4.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	cmake_policy(SET CMP0075 NEW)
 endif()
 project(cpu-x
-	VERSION "4.0.1"
+	VERSION "4.1.0"
 	LANGUAGES C
 )
 
@@ -25,11 +25,11 @@
 set(APP_EXEC                       ${CMAKE_PROJECT_NAME})
 set(DAEMON_EXEC                    ${CMAKE_PROJECT_NAME}-daemon)
 set(DAEMON_PATH                    ${CMAKE_INSTALL_FULL_LIBEXECDIR}/${DAEMON_EXEC})
-if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "i.86")
+if(CMAKE_SIZEOF_VOID_P EQUAL 4)
 	set(BITNESS "32")
-else(${CMAKE_SYSTEM_PROCESSOR} MATCHES "i.86")
+else(CMAKE_SIZEOF_VOID_P EQUAL 4)
 	set(BITNESS "64")
-endif(${CMAKE_SYSTEM_PROCESSOR} MATCHES "i.86")
+endif(CMAKE_SIZEOF_VOID_P EQUAL 4)
 set(CMAKE_C_FLAGS             "${CMAKE_C_FLAGS} -Wno-deprecated-declarations -Wno-unused-result")
 set(CMAKE_C_FLAGS_DEBUG       "${CMAKE_C_FLAGS_DEBUG} -Wall -Wextra -Wuninitialized -Wstrict-prototypes -Wformat -Wformat-security")
 set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now")
@@ -52,6 +52,7 @@
 option(WITH_DMIDECODE     "Built-in Dmidecode"                                                ON)
 option(WITH_BANDWIDTH     "Built-in Bandwidth"                                                ON)
 option(FORCE_LIBSTATGRAB  "Force use of Libstatgrab instead of Libprocps (GNU/Linux system)"  OFF)
+option(APPIMAGE           "Enable workarounds for AppImage"                                   OFF)
 
 # Colours
 string(ASCII 27 Esc)
@@ -103,14 +104,14 @@
 	find_package(Git)
 	if(GIT_FOUND)
 		execute_process(COMMAND sh -c "${GIT_EXECUTABLE} describe --long --tags --exclude continuous --abbrev=40 --dirty | cut --delimiter=- --fields=2-"
-			RESULT_VARIABLE GIT_DESCRIBE_RESULT
+			WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
 			OUTPUT_VARIABLE GIT_DESCRIBE_REVISION
 			ERROR_QUIET
 			OUTPUT_STRIP_TRAILING_WHITESPACE
 		)
-		if(${GIT_DESCRIBE_RESULT} EQUAL 0)
+		if(NOT ${GIT_DESCRIBE_REVISION} STREQUAL "")
 			set(GIT_REVISION "+git-r${GIT_DESCRIBE_REVISION}")
-		endif(${GIT_DESCRIBE_RESULT} EQUAL 0)
+		endif(NOT ${GIT_DESCRIBE_REVISION} STREQUAL "")
 	endif(GIT_FOUND)
 endif(EXISTS ${CMAKE_SOURCE_DIR}/.git)
