=== src/CMakeLists.txt ===
--- 
+++ 
@@ -172,8 +172,14 @@
 	-DGETTEXT_PACKAGE="${CMAKE_PROJECT_NAME}"
 	-DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
 	-DTERMINFODIR="/lib/terminfo"
+	-DDAEMON_EXEC="${DAEMON_EXEC}"
 	-DDAEMON_PATH="${DAEMON_PATH}"
 )
+
+if(APPIMAGE)
+	set(DAEMON_FLAGS "-static")
+	set(LIBCPUID_LIBRARIES "-l:libcpuid.a")
+endif(APPIMAGE)
 
 # Link libraries
 target_link_libraries(${APP_EXEC}
@@ -194,6 +200,7 @@
 )
 
 target_link_libraries(${DAEMON_EXEC}
+	${DAEMON_FLAGS}
 	${Intl_LIBRARIES}
 	${CMAKE_THREAD_LIBS_INIT}
