=== src/dmidecode/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 project(dmidecode
-	VERSION "3.2.20200417"
+	VERSION "3.3.20201210"
 	LANGUAGES C
 )
 
 # Config (dmidecode)
+set(CMAKE_C_FLAGS       "${CMAKE_C_FLAGS} -Wno-format")
 set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wno-shift-count-overflow")
 message(STATUS "Using built-in ${PROJECT_NAME}, version ${PROJECT_VERSION}")
