=== debian/changelog ===
cpu-x (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2002_avoid-format-security-compiler-flag.patch. Assure
      -Wno-format-security where -Wno-format is explicitly requested
      by upstream.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.
  * debian/watch:
    + Update format version to 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 17:17:04 +0100
