=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                nasm,
                pkg-config,
                procps,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/X0rg/CPU-X
 Vcs-Git: https://salsa.debian.org/debian/cpu-x.git
 Vcs-Browser: https://salsa.debian.org/debian/cpu-x
