=== src/CMakeLists.txt ===
--- 
+++ 
@@ -42,23 +42,12 @@
 
 # Libcpuid
 if(WITH_LIBCPUID)
-	pkg_check_modules(LIBCPUID libcpuid>=0.4.0)
+	pkg_check_modules(LIBCPUID libcpuid>=0.5.0)
 	if(LIBCPUID_FOUND)
 		include_directories(${LIBCPUID_INCLUDE_DIRS})
 		link_directories(${LIBCPUID_LIBRARY_DIRS})
 		add_definitions(${LIBCPUID_CFLAGS_OTHER})
 		set(CMAKE_REQUIRED_LIBRARIES ${LIBCPUID_LIBRARIES})
-		check_symbol_exists(msr_serialize_raw_data "libcpuid/libcpuid.h" HAVE_MSR_SERIALIZE_RAW_DATA)
-		if(HAVE_MSR_SERIALIZE_RAW_DATA)
-			add_definitions(-DHAVE_MSR_SERIALIZE_RAW_DATA)
-		endif(HAVE_MSR_SERIALIZE_RAW_DATA)
-		check_struct_has_member("struct cpu_id_t" l1_instruction_assoc libcpuid/libcpuid.h HAVE_CPU_ID_L1I_INFO LANGUAGE C)
-		if(HAVE_CPU_ID_L1I_INFO)
-			add_definitions(-DHAVE_CPU_ID_L1I_INFO)
-		endif(HAVE_CPU_ID_L1I_INFO)
-		if(LIBCPUID_VERSION VERSION_EQUAL "0.4.0")
-			add_definitions(-DHAVE_STDINT_H)
-		endif(LIBCPUID_VERSION VERSION_EQUAL "0.4.0")
 	endif(LIBCPUID_FOUND)
 endif(WITH_LIBCPUID)
 
@@ -71,6 +60,17 @@
 		add_definitions(${LIBPCI_CFLAGS_OTHER})
 	endif(LIBPCI_FOUND)
 endif(WITH_LIBPCI)
+
+# Libglfw
+if(WITH_LIBGLFW)
+	pkg_check_modules(LIBGL gl)
+	pkg_check_modules(LIBGLFW glfw3>=3.3)
+	if(LIBGL_FOUND AND LIBGLFW_FOUND)
+		include_directories(${LIBGL_INCLUDE_DIRS} ${LIBGLFW_INCLUDE_DIRS})
+		link_directories(${LIBGL_LIBRARY_DIRS} ${LIBGLFW_LIBRARY_DIRS})
+		add_definitions(${LIBGL_CFLAGS_OTHER} ${LIBGLFW_CFLAGS_OTHER})
+	endif(LIBGL_FOUND AND LIBGLFW_FOUND)
+endif(WITH_LIBGLFW)
 
 # Libprocps
 set(LIBSYSTEM 0)
@@ -124,6 +124,7 @@
 print_config("GETTEXT"             0                        GETTEXT_FOUND     WITH_GETTEXT)
 print_config("LIBCPUID"            "${LIBCPUID_VERSION}"    LIBCPUID_FOUND    WITH_LIBCPUID)
 print_config("LIBPCI"              "${LIBPCI_VERSION}"      LIBPCI_FOUND      WITH_LIBPCI)
+print_config("LIBGLFW"             "${LIBGLFW_VERSION}"     LIBGLFW_FOUND     WITH_LIBGLFW)
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND NOT FORCE_LIBSTATGRAB)
 	print_config("LIBPROCPS"   "${LIBPROCPS_VERSION}"   LIBPROCPS_FOUND   WITH_LIBPROCPS)
 else()
@@ -192,6 +193,8 @@
 	${NCURSES_LIBRARIES}
 	${LIBCPUID_LIBRARIES}
 	${LIBPCI_LIBRARIES}
+	${LIBGL_LIBRARIES}
+	${LIBGLFW_LIBRARIES}
 	${LIBPROCPS_LIBRARIES}
 	${LIBSTATGRAB_LIBRARIES}
 	${DMIDECODE_LIBRARIES}
