=== debian/changelog ===
cpu-x (4.2.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Add B-D libglfw3-dev
  * debian/patches:
    + Refactor 2002_avoid-format-security-compiler-flag.patch

  [ Mike Gabriel ]
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Dec 2021 22:03:07 +0100

cpu-x (4.1.0-2) unstable; urgency=medium

  * debian/watch: Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Apr 2021 22:23:59 +0200
