## cpu-x 4.2.0+1.15

=== debian/changelog ===
cpu-x (4.2.0+1.15-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <maintainer@mepiscommunity.org>  Tue, 11 May 2021 12:02:19 -0400

cpu-x (4.2.0-1+1.15~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 11 May 2021 11:58:30 -0400

cpu-x (4.2.0-1+1.15) stable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Mon, 10 May 2021 11:19:23 +0000

cpu-x (4.2.0-0) stable; urgency=medium

  * Initial release.

 -- Xorg <xorg@no-mail.com>  Sun, 13 Sep 2015 15:01:43 +0000
