=== debian/control ===
Source: cpu-x
Section: Utilities
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Xorg <xorg@no-mail.com>
Build-Depends: debhelper (>= 4.1.16), cmake, gcc, nasm, gettext, libgtk-3-dev, libncursesw5-dev | libncursesw6-dev, libcpuid-dev, libpci-dev, libprocps-dev, libglfw3-dev

Package: cpu-x
Architecture: i386 amd64
Depends: libgtk-3-0, libncursesw5 | libncurses6, libcpuid15, libprocps4 | libprocps6 | libprocps7 | libprocps8, libpci3, libglfw3
Description: CPU-X is a Free software that gathers information on CPU, motherboard and more.
  CPU-X is a system profiling and monitoring application designed for GNU/Linux and FreeBSD.
  This software is written in C and built with CMake tool.
  It can be used in graphical mode by using GTK or in text-based mode by using NCurses. A dump mode is present from command line.
