## cpu-x 4.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	cmake_policy(SET CMP0075 NEW)
 endif()
 project(cpu-x
-	VERSION "4.3.0"
+	VERSION "4.3.1"
 	LANGUAGES C
 )
