=== src/CMakeLists.txt ===
--- 
+++ 
@@ -72,6 +72,16 @@
 	endif(LIBGL_FOUND AND LIBGLFW_FOUND)
 endif(WITH_LIBGLFW)
 
+# OpenCL
+if(WITH_OPENCL)
+	pkg_check_modules(OPENCL OpenCL)
+	if(OPENCL_FOUND)
+		include_directories(${LIBOPENCL_INCLUDE_DIRS} ${OpenCL_INCLUDE_DIRS})
+		link_directories(${LIBOPENCL_LIBRARY_DIRS} ${OpenCL_LIBRARY_DIRS})
+		add_definitions(${LIBOPENCL_CFLAGS_OTHER} ${OpenCL_CFLAGS_OTHER})
+	endif(OPENCL_FOUND)
+endif(WITH_OPENCL)
+
 # Libprocps
 set(LIBSYSTEM 0)
 if(WITH_LIBPROCPS AND ${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND NOT FORCE_LIBSTATGRAB)
@@ -125,6 +135,7 @@
 print_config("LIBCPUID"            "${LIBCPUID_VERSION}"    LIBCPUID_FOUND    WITH_LIBCPUID)
 print_config("LIBPCI"              "${LIBPCI_VERSION}"      LIBPCI_FOUND      WITH_LIBPCI)
 print_config("LIBGLFW"             "${LIBGLFW_VERSION}"     LIBGLFW_FOUND     WITH_LIBGLFW)
+print_config("OpenCL"              "${OPENCL_VERSION}"      OPENCL_FOUND      WITH_OPENCL)
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND NOT FORCE_LIBSTATGRAB)
 	print_config("LIBPROCPS"   "${LIBPROCPS_VERSION}"   LIBPROCPS_FOUND   WITH_LIBPROCPS)
 else()
@@ -195,6 +206,7 @@
 	${LIBPCI_LIBRARIES}
 	${LIBGL_LIBRARIES}
 	${LIBGLFW_LIBRARIES}
+	${OPENCL_LIBRARIES}
 	${LIBPROCPS_LIBRARIES}
 	${LIBSTATGRAB_LIBRARIES}
 	${DMIDECODE_LIBRARIES}
