=== debian/control ===
Source: cpu-x
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends: cmake (>= 3),
               debhelper-compat (= 13),
               gawk,
               gettext,
               libcpuid-dev (>= 0.5.0) [amd64 i386],
               libcurl4-gnutls-dev,
               libglfw3-dev,
               libgtk-3-dev (>= 3.12),
               libjson-c-dev,
               libncurses-dev,
               libpci-dev,
               libprocps-dev,
               libstatgrab-dev,
               nasm,
               pkg-config,
               procps
Standards-Version: 4.6.1
Homepage: https://github.com/X0rg/CPU-X
Vcs-Git: https://salsa.debian.org/debian/cpu-x.git
Vcs-Browser: https://salsa.debian.org/debian/cpu-x
Rules-Requires-Root: no

Package: cpu-x
Architecture: amd64 i386
Depends: procps, ${misc:Depends}, ${shlibs:Depends}
Description: Tool that gathers information on CPU, motherboard and more
 CPU-X is similar to CPU-Z (for MS Windows). It can be used in graphical
 mode by using GTK or in text-based mode by using NCurses. A dump mode is
 present from the command line.
