## cpu-x 4.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	cmake_policy(SET CMP0075 NEW)
 endif()
 project(cpu-x
-	VERSION "4.3.1"
+	VERSION "4.5.0"
 	LANGUAGES C
 )
 
@@ -48,6 +48,7 @@
 option(WITH_LIBCPUID      "Use Libcpuid library"                                              ON)
 option(WITH_LIBPCI        "Use Libpci library"                                                ON)
 option(WITH_LIBGLFW       "Use Libglfw library"                                               ON)
+option(WITH_VULKAN        "Use Vulkan library"                                                ON)
 option(WITH_OPENCL        "Use OpenCL library"                                                ON)
 option(WITH_LIBPROCPS     "Use Libprocps library"                                             ON)
 option(WITH_LIBSTATGRAB   "Use Libstatgrab library"                                           ON)
