=== po/CMakeLists.txt ===
--- 
+++ 
@@ -25,13 +25,28 @@
 			--default-domain=${CMAKE_PROJECT_NAME}
 			--msgid-bugs-address=https://github.com/X0rg/CPU-X/issues
 			--copyright-holder=Xorg
-			--output-dir=${CMAKE_CURRENT_SOURCE_DIR}
-			--output=${pot_file}
+			--output-dir=${CMAKE_CURRENT_BINARY_DIR}
+			--output=source_c.pot
 			--directory="../src"
 			--from-code="utf-8"
 			"*.c" "cpu-x.h"
+		COMMAND xgettext
+			--language=Glade
+			--keyword=translatable --indent
+			--add-comments
+			--package-name=${CMAKE_PROJECT_NAME}
+			--package-version=${PROJECT_VERSION}
+			--default-domain=${CMAKE_PROJECT_NAME}
+			--msgid-bugs-address=https://github.com/X0rg/CPU-X/issues
+			--copyright-holder=Xorg
+			--output-dir=${CMAKE_CURRENT_BINARY_DIR}
+			--output=source_ui.pot
+			--directory="../data"
+			--from-code="utf-8"
+			"cpu-x-gtk-3.12.ui"
+		COMMAND	msgcat --indent --directory=${CMAKE_CURRENT_BINARY_DIR} source_c.pot source_ui.pot --output-file="${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
 		COMMAND sed --in-place "s/SOME DESCRIPTIVE TITLE./CPU-X translations template/" "${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
-		COMMAND sed --in-place "s/\\(C\\) YEAR/© 2014-2021/"  "${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
+		COMMAND sed --in-place "s/\\(C\\) YEAR/© 2014-2022/"  "${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
 		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/src
 	)
 	GETTEXT_CONVERT_TRANSLATIONS(${pot_file} ALL ${po_files})
